﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LockCrypt.Core {
    public class LockCryptException :Exception {
        public int ErrorCode { get; set; }

        public LockCryptException(string message)
            : base(message) {
        }
        public LockCryptException(string message, int errorCode)
            : base(message) {
            this.ErrorCode = errorCode;
        }
        public LockCryptException(string message, Exception innerException, int errorCode)
            : base(message, innerException) {
            this.ErrorCode = errorCode;
        }
    }
}
