﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LockCrypt.DAL {
    public class NetworkDbCredentials {
        public string Hostname { get; set; }
        public int Port { get; set; }

        public string Username { get; set; }
        public string Password { get; set; }
        public string DatabaseName { get; set; }
        public string TablePrefix { get; set; }

        public NetworkDbCredentials() {
        }

        public NetworkDbCredentials(string hostname, int port, string username, string password, string databasename, string tablePrefix) {
            this.Hostname = hostname;
            this.Port = port;
            this.Username = username;
            this.Password = password;
            this.DatabaseName = databasename;
            this.TablePrefix = tablePrefix;
        }
    }
}
