﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LockCrypt.Core {
    /// <summary>
    /// Manages generic settings in LockCrypt
    /// </summary>
    public static class CoreConfigurationManager {
        public static string Language { get; set; }

        public static void Configure(ICoreConfiguration configuration) {
            Language = configuration.Language;
        }
    }

    public interface ICoreConfiguration {
        string Language { get; set; }
    }
}
