﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace LockCrypt.Core {
    public interface IAccount : INestable, IFieldContainer {
        ITemplate Template { get; set; }
        DateTime Created { get; set; }
        DateTime Modified { get; set; }
        string Notes { get; set; }

        ITemplate DeriveTemplate();
        XElement ToXElement();
        IAccount Clone();
    }
}
