﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LockCrypt.Firefox {
    public class FirefoxException :Exception {
        public int ErrorCode { get; set; }

        public FirefoxException(string message)
            : base(message) {
        }
        public FirefoxException(string message, int errorCode)
            : base(message) {
            this.ErrorCode = errorCode;
        }
        public FirefoxException(string message, Exception innerException, int errorCode)
            : base(message, innerException) {
            this.ErrorCode = errorCode;
        }
    }
}
