﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LockCrypt.Firefox {
    public enum RequestType {
        Save,
        Ping,
        Request,
        CheckIfExists,
        NameEnquiry,
        Import,
        Export
    }
    public class FirefoxRequest {
        public RequestType Type { get; set; }
        public string Name { get; set; }
        public string URL { get; set; }
        public List<RequestField> Fields { get; set; }

        public class RequestField {
            public string Name { get; set; }
            public string Value { get; set; }
            public bool Include { get; set; }
        }
    }
}
