﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace LockCrypt.Core {
    /// <summary>
    /// A field in an account or template.
    /// </summary>
    public interface IField {
        string Name { get; set; }
        string Value { get; set; }
        FieldMetaData Meta { get; set; }
        int SortIndex { get; set; }

        XElement ToXElement();
        IField Clone();
    }
}
