package com.lime49.lockcrypt;
import java.awt.Dimension;
import javax.swing.BorderFactory;
import javax.swing.border.*;
import java.awt.Insets;
import java.util.HashMap;

public class Constants {
    /************* Constants *************/
    public static final double LC_VER = 2.31;
    public static final Dimension MINSIZE = new Dimension(30,10);
    public static final Dimension PREFSIZE = new Dimension(70,22);
    public static final Dimension MAXSIZE = new Dimension(90,25);
    
    public static final Border EMPTYBORDER = BorderFactory.createEmptyBorder(7,7,7,7);
    public static final Insets GLOBALINSETS = new Insets(3,3,3,3);
    public static final boolean DEBUG = false;
    public static final HashMap<String, String> LANGUAGES = new HashMap<String, String>() {
        {
            put("ar_MA", "تأكيد الحذف");
            put("bg_BG", "български език");
            put("cs_CZ", "Česky");
            put("de_DE", "Deutsch");
            put("da_DK", "Dansk");
            put("en_GB", "English");
            put("es_ES", "Español");
            put("fr_FR", "Français");
            put("hu_HU", "Magyar");
            put("it_IT", "Italiano");
            put("iw_IL", "עברית");
            put("ka_GE", "ქართული");
            put("pl_PL", "Polski");
            put("pt_PT", "Português");
            put("ru_RU", "Русский");
            put("sl_SI", "Slovensko");
            put("zh_TW", "繁體中文");
            put("zh_CN", "简体中文");
            put("en_GB_IK", "tlhIngan Hol");
        }
    };
    public static final String[] iconNames = {
            "address","car","creditcard","email","flag_blue","flag_green","flag_red","flag_yellow",
            "keys","network","padlock","phone","pirate","user_group","user_office","home",
            "medicine","medicine2","music","paint","default"
    };
    // car icon by http://cemagraphics.deviantart.com/
    // medicine tub icon by http://djnjpendragon.deviantart.com/
    /************* Constants *************/
}
