package com.lime49.lockcrypt.ui;

import javax.swing.Icon;
import javax.swing.JMenuItem;

/**
 * A JMenuItem which shows it's selected state on mouseover.
 */
public class MouseMenuItem extends JMenuItem {
    public MouseMenuItem(String text) {
        super(text);
        this.addMouseListener(new MouseMenuListener()); 
    }
    public MouseMenuItem(String text, Icon icon) {
        super(text,icon);
        this.addMouseListener(new MouseMenuListener()); 
    }
}


