﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using LockCrypt.Core;

namespace LockCrypt.Mobile {
    /// <summary>
    /// 
    /// </summary>
    public class ContextItemCheckedEventArgs : EventArgs {
        /// <summary>
        /// Gets or sets a value indicating whether [phone number].
        /// </summary>
        /// <value><c>true</c> if [phone number]; otherwise, <c>false</c>.</value>
        public bool PhoneNumber { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether [phone number].
        /// </summary>
        /// <value><c>true</c> if [phone number]; otherwise, <c>false</c>.</value>
        public bool ObfuscateField { get; set; }

        public bool IsUrl { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether [phone number].
        /// </summary>
        /// <value><c>true</c> if [phone number]; otherwise, <c>false</c>.</value>
        public bool RenameField { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether [phone number].
        /// </summary>
        /// <value><c>true</c> if [phone number]; otherwise, <c>false</c>.</value>
        public bool DeleteField { get; set; }

        /// <summary>
        /// Gets or sets the current state of the field
        /// </summary>
        /// <value><c>true</c> if [phone number]; otherwise, <c>false</c>.</value>
        public FieldMetaData CurrentState { get; set; }

        /// <summary>
        /// Initializes a new instance of the <see cref="ContextItemCheckedEventArgs"/> class.
        /// </summary>
        /// <param name="currentState">State of the current.</param>
        public ContextItemCheckedEventArgs(FieldMetaData currentState) {
            this.CurrentState = currentState;
        }
    }
}
