using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using LockCrypt.Core;

namespace LockCrypt.Mobile {
    /// <summary>
    /// A form to display application information.
    /// </summary>
    public partial class FrmAbout : Form {
        public FrmAbout() {
            InitializeComponent();
            Version version = Constants.GetVersion();
            lblVersion.Text += " " + version.Major + "." + version.Minor + "." + version.Build;
            itmBack.Click += (s, e) => {
                this.DialogResult = DialogResult.OK;
            };
        }
    }
}