using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Resources;
using System.Drawing;
using Lime49;

namespace LockCrypt.Mobile {
    public class WMConstants {
        /// <summary>
        /// Gets the language ResourceManager.
        /// </summary>
        public static ResourceManager GetLanguage() {
            return new ResourceManager("LockCrypt.Mobile.General", typeof(LockCrypt).Assembly);
        }

        /// <summary>
        /// Gets the font to use to display field names when displaying an account
        /// </summary>
        public static Font FieldNameFont = new Font("Frutiger Linotype", 9F, FontStyle.Bold);
        /// <summary>
        /// Gets the font to use to display field values when displaying an account
        /// </summary>
        public static Font FieldValueFont = new Font("Frutiger Linotype", 9F, FontStyle.Regular);
        /// <summary>
        /// 
        /// </summary>
        public static int FieldSpacingY = 4;

        
    }
}
